PO4A-UPDATEPO.1P(1)

NOME
po4a-updatepo - atualiza a tradução (no formato PO) da documentação

SINOPSE
po4a-updatepo -f fmt (-m mestre.doc)+ (-p XX.po)+

(XX.po são as saídas, todos os outros são entradas)

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything, ou PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) usando as ferramentas do gettext em áreas em que não se esperava, como documentação.

O script po4a-updatepo está encarregado da atualização de arquivos PO para que eles reflitam as alterações feitas no arquivo original de documentação. Para isso, ele converte o arquivo de documentação para um arquivo POT e chama msgmerge(1) neste novo POT e nos arquivos PO fornecidos.

É possível informar mais do que um arquivo PO (se você quer atualizar vários idiomas de uma só vez) e vários arquivos de documentação (se você quiser armazenar as traduções de vários documentos no mesmo arquivo PO).

Se a documentação mestre possui caracteres não-ASCII, este script vai converter os arquivos PO para UTF-8 (se eles não já estão), para uma manipulação transparente de caracteres fora do padrão.

OPÇÕES

-f, --format
    Formato da documentação que você quer manipular. Use a opção --help-format para ver a lista de formatos disponíveis.

-m, --master
    Arquivo(s) contendo o documento mestre para traduzir.

-M, --master-charset
    Conjunto de caracteres dos arquivos contendo o documento para traduzir. Note que todos os arquivos devem possuir o mesmo conjunto de caracteres.

-p, --po
    Arquivo(s) PO para atualizar. Se esses arquivos não existirem, eles serão criados pelo po4a-updatepo.

-o, --option
    Opções extras para passar o plug-in de formato. Veja a documentação de cada plug-in para mais informações sobre as opções válidas e seus significados. Por exemplo, você poderia passar "-o tablecells" para o analisador AsciiDoc, enquanto o analisador de texto aceitaria "-o tabs=split".

--no-previous
    Essa opção remove --previous das opções passadas ao msgmerge. Isso ajuda a dar suporte a versões antigas do gettext (anteriores ao v0.16).

--previous
    Essa opção adiciona --previous às opções passadas ao msgmerge. Isso requer gettext 0.16 ou posterior, e é ativada por padrão.

--msgmerge-opt opções
    Opções extras para msgmerge(1).

-h, --help
    Mostra uma mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos pelo po4a.

-V, --version
    Exibe a versão do script e sai.

-v, --verbose
    Aumenta o nível de detalhamento do programa.

-d, --debug
    Imprime algumas informações de depuração.

--porefs tipo[,wrap|nowrap]
    Especifica o formato de referência. O argumento tipo pode ser um de: never para não produzir qualquer referência, file para especificar o arquivo sem o número de linha, counter para substituir os números de linha aumentando o contador e full para incluir referências completas. (padrão: full).

    Argumento pode estar seguido por uma vírgula e as palavras-chaves wrap ou nowrap. Referências são escritas por padrão em uma única linha. A opção wrap quebra as referências em várias linhas, para copiar as ferramentas do gettext (xgettext e msgmerge). Essa opção vai se tornar o padrão em um lançamento futuro, mas ela é mais sensível. A opção nowrap está disponível de forma que usuários que desejarem manter o comportamento antigo podem fazê-lo.

--wrap-po no|newlines|number (padrão: 76)
    Especifica como o arquivo po deve ter sua quebra de linha. Isso permite escolher entre arquivos que tem boa quebra de linha, mas que podem levar a conflitos de git, ou arquivos que são mais fáceis de manipular automaticamente, mas mais difíceis de ler para humanos.

    Historicamente, o pacote gettext reformatou os arquivos po na 77ª coluna para questões cosméticas. Esta opção especifica o comportamento de po4a. Se definido como um valor numérico, o po4a quebrará linha do arquivo po após esta coluna e após novas linhas no conteúdo. Se definido como newlines, o po4a dividirá apenas o msgid e o msgstr após as novas linhas no conteúdo. Se definido como no, o po4a não quebrará linha do arquivo po. A quebra de linha dos comentários de referência é controlado pela opção --porefs.

    Observe que esta opção não afeta a maneira como o msgid e o msgstr sofrem quebra de linhas, ou seja, como os caracteres de nova linha são adicionados ao conteúdo dessas strings.

--msgid-bugs-address e-mail@endereço
    Define o endereço para relatórios de erros em msgids. Por padrão, os arquivos POT criados possuem nenhum campo Report-Msgid-Bugs-To.

--copyright-holder string
    Define o detentor do copyright no cabeçalho do POT. O valor padrão é "Free Software Foundation, Inc."

--package-name string
    Define o nome do pacote para o cabeçalho do POT. O padrão é "PACKAGE".

--package-version string
    Define a versão do pacote do cabeçalho do POT. O padrão é "VERSION".

VEJA TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUÇÃO
 Luiz Fernando Ranghetti <elchevive@opensuse.org>
 Rafael Fontenelle <rafaelff@gnome.org>

COPYRIGHT E LICENÇA
Copyright 2002-2023 por SPI, inc.

Esse programa é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL v2.0 ou posterior (veja o arquivo COPYING).